GCLOUD_DNS_RECORD-SETS_EXPORT(1)

NAME

gcloud dns record-sets export - export your record-sets into a file

SYNOPSIS

gcloud dns record-sets export RECORDS_FILE --zone=ZONE, -z ZONE [--zone-file-format] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
This command exports the record-sets contained within the specified managed-zone into a file.

POSITIONAL ARGUMENTS

    RECORDS_FILE
        File to which record-sets should be exported.

REQUIRED FLAGS

    --zone=ZONE, -z ZONE
        Name of the managed-zone whose record-sets you want to manage.

OPTIONAL FLAGS

    --zone-file-format
        Indicates that records-file should be in the zone file format.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.

EXAMPLES
To export record-sets into a yaml file, run:
    $ gcloud dns record-sets export YAML_RECORDS_FILE --zone MANAGED_ZONE
To import record-sets into a zone file, run:
    $ gcloud dns record-sets export ZONE_FILE --zone-file-format \
        --zone MANAGED_ZONE